NLSL: BL05CHSA Namespace Reference

NLSL

- Main Page
- Modules
- Data Types List
- Files

- Modules List
- Module Members

Functions | Variables
BL05CHSA Namespace Reference

## Functions
def | read_column_data (filename)

## Variables
tuple | proc = Popen(['./nlsl'],stdin = PIPE, stderr = STDOUT)
tuple | fp = open('BL05CHSA.run')
tuple | output = proc.communicate(input = fp.read())
tuple | data = read_column_data('BL05CHSA.spc')
list | fields = data[:,0]
list | experimental = data[:,1]
list | fit = data[:,2]
tuple | integral_of_spectrum = cumsum(experimental)
tuple | normalization = abs(sum(integral_of_spectrum))
tuple | fig = figure(figsize = (9,6))
list | components = data[:,3:]
tuple | max_of_fit = max(fit)
tuple | ax = gca()
tuple | ylims = ax.get_ylim()
tuple | scale_integral = max_of_fit/max(integral_of_spectrum)
int | loc = 2
int | borderaxespad = 0
tuple | rms = mean((fit/normalization-experimental/normalization)**2)
string | horizontalalignment = 'left'
string | verticalalignment = 'top'
| transform = ax.transAxes)

## Function Documentation

def BL05CHSA.read_column_data | ( |  | filename | ) |

Definition at line 5 of file BL05CHSA.py.

## Variable Documentation

tuple BL05CHSA.ax = gca()

Definition at line 44 of file BL05CHSA.py.

int BL05CHSA.borderaxespad = 0

Definition at line 50 of file BL05CHSA.py.

BL05CHSA.components = data[:,3:]

Definition at line 36 of file BL05CHSA.py.

tuple BL05CHSA.data = read_column_data('BL05CHSA.spc')

Definition at line 27 of file BL05CHSA.py.

list BL05CHSA.experimental = data[:,1]

Definition at line 29 of file BL05CHSA.py.

list BL05CHSA.fields = data[:,0]

Definition at line 28 of file BL05CHSA.py.

tuple BL05CHSA.fig = figure(figsize = (9,6))

Definition at line 33 of file BL05CHSA.py.

list BL05CHSA.fit = data[:,2]

Definition at line 30 of file BL05CHSA.py.

tuple BL05CHSA.fp = open('BL05CHSA.run')

Definition at line 23 of file BL05CHSA.py.

string BL05CHSA.horizontalalignment = 'left'

Definition at line 54 of file BL05CHSA.py.

tuple BL05CHSA.integral_of_spectrum = cumsum(experimental)

Definition at line 31 of file BL05CHSA.py.

int BL05CHSA.loc = 2

Definition at line 49 of file BL05CHSA.py.

tuple BL05CHSA.max_of_fit = max(fit)

Definition at line 41 of file BL05CHSA.py.

tuple BL05CHSA.normalization = abs(sum(integral_of_spectrum))

Definition at line 32 of file BL05CHSA.py.

tuple BL05CHSA.output = proc.communicate(input = fp.read())

Definition at line 24 of file BL05CHSA.py.

tuple BL05CHSA.proc = Popen(['./nlsl'],stdin = PIPE, stderr = STDOUT)

Definition at line 20 of file BL05CHSA.py.

tuple BL05CHSA.rms = mean((fit/normalization-experimental/normalization)**2)

Definition at line 52 of file BL05CHSA.py.

tuple BL05CHSA.scale_integral = max_of_fit/max(integral_of_spectrum)

Definition at line 46 of file BL05CHSA.py.

BL05CHSA.transform = ax.transAxes)

Definition at line 56 of file BL05CHSA.py.

string BL05CHSA.verticalalignment = 'top'

Definition at line 55 of file BL05CHSA.py.

tuple BL05CHSA.ylims = ax.get_ylim()

Definition at line 45 of file BL05CHSA.py.